import request from '@/utils/request'

//店铺订单列表
export function merchantList(data) {
	return request({
		url: '/api/admin/order/list',
		method: 'get',
		data
	});
}

//店铺订单详情
export function detail(data,id) {
	return request({
		url: '/api/admin/order/detail/'+id,
		method: 'get',
		data
	});
}

// 店铺订单每月统计数据
export function shop_data(data) {
	return request({
		url: '/api/admin/order/month',
		method: 'get',
		data
	});
}

// 店铺信息
export function my(data) {
	return request({
		url: '/api/store/mystore',
		method: 'post',
		data
	});
}

// 店铺会员列表
export function member(data) {
	return request({
		url: '/api/store/member',
		method: 'post',
		data
	});
}

// 店铺商品列表
export function goods(data) {
	return request({
		url: '/api/store/goods',
		method: 'post',
		data
	});
}

//订单核销
export function verific(data) {
	return request({
		url: '/api/order/order_verific',
		method: 'post',
		data
	});
}

//卡片兑换
export function verification(data) {
	return request({
		url: '/api/user/verification',
		method: 'post',
		data
	});
}

// 提现
export function extractCash(data) {
	return request({
		url: '/api/store/cash',
		method: 'post',
		data
	});
}

// 提现
export function exchangeCash(data) {
	return request({
		url: '/api/store/brokerage',
		method: 'post',
		data
	});
}
// 提现信息
export function extractBank(data) {
	return request({
		url: '/api/store/bank',
		method: 'get',
		data
	});
}